Bug 503928 (CVE-2009-0023) - CVE-2009-0023 apr-util heap buffer underwrite
Summary: CVE-2009-0023 apr-util heap buffer underwrite
Status: CLOSED ERRATA
Alias: CVE-2009-0023
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,public=20090603,reporte...
Keywords: Security
Depends On: 595829 504558 504559 504560 504561 504562 505027 591930
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-03 12:10 UTC by Josh Bressers
Modified: 2012-06-20 17:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-20 17:10:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1107 normal SHIPPED_LIVE Moderate: apr-util security update 2009-06-16 22:05:45 UTC
Red Hat Product Errata RHSA-2009:1108 normal SHIPPED_LIVE Moderate: httpd security update 2009-06-16 22:04:54 UTC
Red Hat Product Errata RHSA-2009:1160 normal SHIPPED_LIVE Important: httpd22 security update 2009-07-17 13:13:34 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Josh Bressers 2009-06-03 12:10:19 UTC
A heap buffer underwrite flaw was found in apr-util's apr_strmatch_precompile() function.

This flaw could allow a remote attacker to overwrite arbitrary heap memory.

The upstream fix is here:
http://svn.apache.org/viewvc?view=rev&revision=779880

Comment 1 Josh Bressers 2009-06-03 13:27:01 UTC
After looking through the things in RHEL that use this fuction, nothing is using it to parse untrusted remote data. Everything uses this function to parse configuration data, which significantly reduces the severity of this flaw.

Comment 2 Joe Orton 2009-06-07 12:53:57 UTC
This subsequent change:

http://svn.apache.org/viewvc?view=rev&revision=781063

fixes another instance of the same mistake, but in this case it would seem to result in only a buffer underread, not a write.  I'll include both changes.

Comment 5 errata-xmlrpc 2009-06-16 22:05:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1108 https://rhn.redhat.com/errata/RHSA-2009-1108.html

Comment 6 errata-xmlrpc 2009-06-16 22:05:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1107 https://rhn.redhat.com/errata/RHSA-2009-1107.html

Comment 7 Fedora Update System 2009-06-24 19:32:45 UTC
apr-util-1.2.12-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-06-24 19:36:36 UTC
apr-util-1.3.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-06-24 19:40:21 UTC
apr-util-1.3.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2009-07-17 13:13:39 UTC
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 4

Via RHSA-2009:1160 https://rhn.redhat.com/errata/RHSA-2009-1160.html

Comment 13 errata-xmlrpc 2010-08-04 21:31:37 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.